cURL
curl --request POST \
--url https://api.boxpilote.fr/api/public/v1/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"name": "<string>"
},
"total_amount": 123,
"sub_total_amount": 123,
"vat_amount": 123,
"expiration_date": "<string>",
"payment_method": "<string>",
"payment_terms": "<string>",
"quote_items": [
{
"item_type": "<string>",
"description": "<string>",
"quantity": 123,
"amount_ht": 123,
"vat_rate": 123,
"total_ht": 123,
"unit": "<string>",
"order": 123,
"size": 123,
"is_option": true,
"one_time": true,
"type": "<string>",
"discountType": "<string>",
"discountValue": 123,
"discountAmount": 123
}
],
"deposit": 123,
"type": "<string>",
"billing_period": 123,
"opportunity_id": "<string>"
}
'import requests
url = "https://api.boxpilote.fr/api/public/v1/quotes"
payload = {
"customer": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"name": "<string>"
},
"total_amount": 123,
"sub_total_amount": 123,
"vat_amount": 123,
"expiration_date": "<string>",
"payment_method": "<string>",
"payment_terms": "<string>",
"quote_items": [
{
"item_type": "<string>",
"description": "<string>",
"quantity": 123,
"amount_ht": 123,
"vat_rate": 123,
"total_ht": 123,
"unit": "<string>",
"order": 123,
"size": 123,
"is_option": True,
"one_time": True,
"type": "<string>",
"discountType": "<string>",
"discountValue": 123,
"discountAmount": 123
}
],
"deposit": 123,
"type": "<string>",
"billing_period": 123,
"opportunity_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
email: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
name: '<string>'
},
total_amount: 123,
sub_total_amount: 123,
vat_amount: 123,
expiration_date: '<string>',
payment_method: '<string>',
payment_terms: '<string>',
quote_items: [
{
item_type: '<string>',
description: '<string>',
quantity: 123,
amount_ht: 123,
vat_rate: 123,
total_ht: 123,
unit: '<string>',
order: 123,
size: 123,
is_option: true,
one_time: true,
type: '<string>',
discountType: '<string>',
discountValue: 123,
discountAmount: 123
}
],
deposit: 123,
type: '<string>',
billing_period: 123,
opportunity_id: '<string>'
})
};
fetch('https://api.boxpilote.fr/api/public/v1/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"quoteId": "<string>",
"quote_number": "<string>",
"createdAt": "<string>",
"pdf_url": "<string>"
}{
"statusCode": 400,
"message": "customer.email requis"
}{
"success": false,
"message": "Unauthorized: Invalid or missing token."
}{
"success": false,
"message": "Une erreur est survenue"
}Quotes
Create quote
Creates a new quote with customer and quote items. Amounts in euros.
POST
/
api
/
public
/
v1
/
quotes
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Customer data. If email already exists, the quote is linked to the existing customer.
Show child attributes
Show child attributes
Total amount including VAT in euros
Subtotal excluding VAT in euros
VAT amount in euros
Quote expiration date (ISO 8601)
Payment method (e.g. SEPA Direct Debit)
Payment terms (e.g. On receipt)
Quote line items (at least one)
Minimum array length:
1Show child attributes
Show child attributes
Deposit in euros (optional)
Quote type (optional)
Billing period, default: 1 (optional)
Linked opportunity ID (optional)
⌘I